Loading...
Searching...
No Matches
AVFilterGraphSegment Struct Reference
libavfilter

A parsed representation of a filtergraph segment. More...

`#include <libavfilter/avfilter.h>`

## Data Fields

AVFilterGraph * | graph
| The filtergraph this segment is associated with.
AVFilterChain ** | chains
| A list of filter chain contained in this segment.
size_t | nb_chains
char * | scale_sws_opts
| A string containing a colon-separated list of key=value options applied to all scale filters in this segment.

## Detailed Description

A parsed representation of a filtergraph segment.

A filtergraph segment is conceptually a list of filterchains, with some supplementary information (e.g. format conversion flags).

Created by avfilter_graph_segment_parse(). Must be freed with avfilter_graph_segment_free().

Definition at line 1103 of file avfilter.h.

## Field Documentation

## graph

AVFilterGraph* AVFilterGraphSegment::graph

The filtergraph this segment is associated with.

Set by avfilter_graph_segment_parse().

Definition at line 1108 of file avfilter.h.

## chains

AVFilterChain** AVFilterGraphSegment::chains

A list of filter chain contained in this segment.

Set in avfilter_graph_segment_parse().

Definition at line 1114 of file avfilter.h.

## nb_chains

size_t AVFilterGraphSegment::nb_chains

Definition at line 1115 of file avfilter.h.

## scale_sws_opts

char* AVFilterGraphSegment::scale_sws_opts

A string containing a colon-separated list of key=value options applied to all scale filters in this segment.

May be set by avfilter_graph_segment_parse(). The caller may free this string with av_free() and replace it with a different av_malloc()'ed string.

Definition at line 1125 of file avfilter.h.

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h